# Abstract Class yii\authclient\signature\BaseMethod

Inheritance | yii\authclient\signature\BaseMethod » yii\base\BaseObject
Implements | yii\base\Configurable
Subclasses | yii\authclient\signature\HmacSha, yii\authclient\signature\HmacSha1, yii\authclient\signature\PlainText, yii\authclient\signature\RsaSha, yii\authclient\signature\RsaSha1
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-authclient/blob/master/signature/BaseMethod.php

BaseMethod is a base class for the OAuth signature methods.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$name | string | Method name. | yii\authclient\signature\BaseMethod

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
generateSignature() | Generates OAuth request signature. | yii\authclient\signature\BaseMethod
getName() | Return the canonical name of the Signature Method. | yii\authclient\signature\BaseMethod
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject
verify() | Verifies given OAuth request. | yii\authclient\signature\BaseMethod

## Property Details

$name public read-only property

Method name.

public abstract string getName ( )

## Method Details

generateSignature() public abstract method

Generates OAuth request signature.

public abstract string generateSignature ( $baseString, $key )
$baseString | string | Signature base string.
$key | string | Signature key.
return | string | Signature string.

getName() public abstract method

Return the canonical name of the Signature Method.

public abstract string getName ( )
return | string | Method name.

verify() public method

Verifies given OAuth request.

public boolean verify ( $signature, $baseString, $key )
$signature | string | Signature to be verified.
$baseString | string | Signature base string.
$key | string | Signature key.
return | boolean | Success.